Index: c/src/exec/libfs/src/imfs/imfs_unixstub.c
===================================================================
--- c/src/exec/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
+++ c/src/exec/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
@@ -0,0 +1,71 @@
+/*
+ *  IMFS Stub for UNIX configuration
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <sys/types.h>         /* for mkdir */
+#include <fcntl.h>
+#include <unistd.h>
+#include <stdlib.h>
+
+#include <assert.h>
+
+#include "imfs.h"
+#include "libio_.h"
+
+#include <stdio.h>
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  IMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  miniIMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
Index: c/src/lib/libc/Makefile.in
===================================================================
--- c/src/lib/libc/Makefile.in	(revision 3fb8909aae99ddd223a8f0c2b6d2b32eb283b21c)
+++ c/src/lib/libc/Makefile.in	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
@@ -55,5 +55,6 @@
 # C and C++ source names, if any, go here -- minus the .c or .cc
 UNIX_C_PIECES = $(UNIX_LIBC_C_PIECES) $(BASE_FS_C_PIECES) $(MALLOC_C_PIECES) \
-    $(TERMIOS_C_PIECES) $(ERROR_C_PIECES) $(ASSOCIATION_C_PIECES)
+    $(TERMIOS_C_PIECES) $(ERROR_C_PIECES) $(ASSOCIATION_C_PIECES) \
+    imfs_unixstub
 
 EMBEDDED_C_PIECES = $(LIBC_GLUE_C_PIECES) $(BASE_FS_C_PIECES) \
Index: c/src/lib/libc/imfs_unixstub.c
===================================================================
--- c/src/lib/libc/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
+++ c/src/lib/libc/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
@@ -0,0 +1,71 @@
+/*
+ *  IMFS Stub for UNIX configuration
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <sys/types.h>         /* for mkdir */
+#include <fcntl.h>
+#include <unistd.h>
+#include <stdlib.h>
+
+#include <assert.h>
+
+#include "imfs.h"
+#include "libio_.h"
+
+#include <stdio.h>
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  IMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  miniIMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
Index: c/src/libfs/src/imfs/imfs_unixstub.c
===================================================================
--- c/src/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
+++ c/src/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
@@ -0,0 +1,71 @@
+/*
+ *  IMFS Stub for UNIX configuration
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <sys/types.h>         /* for mkdir */
+#include <fcntl.h>
+#include <unistd.h>
+#include <stdlib.h>
+
+#include <assert.h>
+
+#include "imfs.h"
+#include "libio_.h"
+
+#include <stdio.h>
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  IMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  miniIMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
Index: cpukit/libfs/src/imfs/imfs_unixstub.c
===================================================================
--- cpukit/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
+++ cpukit/libfs/src/imfs/imfs_unixstub.c	(revision b440e57bdb060337e64d1d9dc4dc08887a161b55)
@@ -0,0 +1,71 @@
+/*
+ *  IMFS Stub for UNIX configuration
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <sys/types.h>         /* for mkdir */
+#include <fcntl.h>
+#include <unistd.h>
+#include <stdlib.h>
+
+#include <assert.h>
+
+#include "imfs.h"
+#include "libio_.h"
+
+#include <stdio.h>
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  IMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
+
+/*  
+ *  IMFS file system operations table
+ */
+
+rtems_filesystem_operations_table  miniIMFS_ops = {
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL,
+  NULL
+};
